#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, q, i;
    cin>>n>>q;
    int qq[q];
    vector<int> nn(n);
    for(i=0;i<n;i++)
        cin>>nn[i];
    for(i=0;i<q;i++)
        cin>>qq[i];

    sort(nn.begin(),nn.end());
    int hely;
    int hozzaad;
    int db;
    for(i=0;i<q;i++)
    {
        hozzaad=0;
        hely=-1;
        db=nn.size();
        if(qq[i]<nn[0])
        {
            hely=1;
            db++;
            hozzaad=1;
        }
        else if(qq[i]>nn[n-1])
        {
            hely=n+1;
            db++;
            hozzaad=1;
        }
        else
        {
            for(int j=0;j<n;j++)
            {
                if(nn[j]==qq[i])
                {
                    hely=j+1;
                    break;
                }
                if(nn[j]>qq[i] && hely==-1)
                {
                    hely=j+1;
                    hozzaad=1;
                    db++;
                    break;
                }
            }
        }

        if(hely-1==db-hely || hely==db/2+1)
            hozzaad=0;
        else if(hely-1<db-hely)
            hozzaad+=(db-hely)-(hely-1);
        else
            hozzaad+=(hely-1)-(db-hely)-1;

        cout<<hozzaad<<endl;
    }

    return 0;
}